Bug 245747 - lang/pypy: Cleanup
Summary: lang/pypy: Cleanup
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-19 21:30 UTC by nimaje+fbz
Modified: 2021-01-02 21:49 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (python)
nimaje+fbz: merge-quarterly?


Attachments
lang/pypy{,3}: cleanup port (2.14 KB, patch)
2020-04-19 21:30 UTC, nimaje+fbz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nimaje+fbz 2020-04-19 21:30:22 UTC
Created attachment 213576 [details]
lang/pypy{,3}: cleanup port

lang/pypy{,3}: cleanup port

* Add explanation for conditionally defining options (PYPY PYPY_MINIMEM)
* Use PYPY_USESSION_BASENAME to avoid changing BUILD_WRKSRC in later updates (see [0] for details)
* Remove MASTERDIR nonsense (thanks kevans91, pet portlint)
* Remove post-extract target as it seems unnessesary

QA:
 * portlint: OK (no new issues)
 * testport: OK (poudriere: 12.1-R, amd64/i386, default options tested)

[0]: https://foss.heptapod.net/pypy/pypy/blob/branch/default/rpython/tool/udir.py
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-20 01:31:27 UTC
If all changes are non functional and/or bugfixes or ports compliance changes, please set merge-quarterly to ?

Thank you for the report and patch
Comment 2 nimaje+fbz 2020-04-20 09:24:29 UTC
(In reply to Kubilay Kocak from comment #1)
Should be the case here
Comment 3 nimaje+fbz 2020-06-08 13:46:52 UTC
ping, is there anything left I should do here? Or should I just wait till someone commits this?
Comment 4 commit-hook freebsd_committer 2021-01-02 21:49:02 UTC
A commit references this bug:

Author: rene
Date: Sat Jan  2 21:48:19 UTC 2021
New revision: 559974
URL: https://svnweb.freebsd.org/changeset/ports/559974

Log:
  lang/pypy[3]: clean up Makefiles

  PR:		245747
  Submitted by:	nimaje+fbz@bureaucracy.de
  Reviewed by:	koobs (somewhat)
  Approved by:	maintainer timeout (python, 6 months)

Changes:
  head/lang/pypy/Makefile
  head/lang/pypy3/Makefile
Comment 5 Rene Ladan freebsd_committer 2021-01-02 21:49:23 UTC
Patch committed, thanks!